@import "src/scss/variables";
@import "~bootstrap/scss/functions";
@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/mixins";
:host{
  display: flex;
  width: 100%;
}
.upload-file-row {
  display: flex;
  align-items: center;
  margin: 32px 0;
  flex-wrap: wrap;
}

.none-display {
  display: none;
}

.upload-file-container {
  height: 128px;
  //min-width: 480px;
  width: 100%;
  border-radius: 10px;
  position: relative;
  background: $light-gray;
  border: .5px dashed $dark-gray;
  overflow: hidden;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 0 60px;
  flex-direction: column;

  &.uploading {
    .before-upload {
      opacity: 0;
      visibility: hidden;
      top: -100%;

    }

    .uploading-progress {
      opacity: 1;
      visibility: visible;
      top: 0;


    }
  }


  &.uploaded {
    border: .5px solid $light-gray;
    border-radius: 0;
    // .uploading-progress{
    //   display: none;
    // }
    .uploading-item {
      opacity: 0;
      visibility: hidden;
      top: 0;

      .elpsis-text {
        max-width: 100%;
        overflow: hidden;

        p {
          width: 100%;
          overflow: hidden;
          text-overflow: ellipsis;
        }
      }

      &.uploading-done {
        opacity: 1;
        visibility: visible;
        top: 0;

        .uploaded-file-icon,
        p,
        span,
        .uploaded-file-actions {
          opacity: 1;
          top: 0;
        }
      }
    }
  }

  &.upload-failed {
    border: .5px solid $danger;

    .uploading-item {
      opacity: 0;
      visibility: hidden;
      top: 0;

      &.uploading-failed {
        opacity: 1;
        visibility: visible;
        top: 0;

        p,
        img {
          opacity: 1;
          top: 0;
        }
      }
    }
  }

  &.upload-warning {
    border: .5px solid $warning;

    .uploading-item {
      opacity: 0;
      visibility: hidden;
      top: 0;

      &.uploading-warning {
        opacity: 1;
        visibility: visible;
        top: 0;

        p,
        img {
          opacity: 1;
          top: 0;
        }
      }
    }
  }

  .uploading-item {
    position: absolute;
    top: 0;
    width: 100%;
    bottom: -100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .3s linear;
    .progress-number{
      color: #fff;
    }
    .progress-bar{
      width: 0;
    }
  }
  .uploading-item{
    opacity: 0;
    visibility: hidden;
  }
  .before-upload {
    top: 0;
    opacity: 1;
    visibility: visible;
    cursor: pointer;
  }



  .uploading-progress {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    line-height: 1;
    height: 100%;
    width: 100%;

    .progress-number {
      color: #FFFFFF;
      top: 0;
      font-size: 24px;
      font-weight: 500;
      text-align: center;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 100%;
      height: 100%;
      position: absolute;
      left: 0;
      right: 0;
      z-index: 2;
      opacity: 1;
      animation: fadeout .3s linear 1.8s forwards;
      // animation-delay: 2.3s;

    }

    .uploaded-text {
      color: #FFFFFF;
      z-index: 2;
      text-align: center;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 100%;
      height: 100%;
      top: -100%;
      position: relative;
      opacity: 1;
      animation: fadein .3s linear 2s forwards;

    }

    .progress-bar {
      position: absolute;
      background-color: $oasis-light;
      top: 0;
      width: 0;
      height: 100%;
      left: 0;
      right: 0;
      // transition: width 2.3s ease-in;
      animation: slideWidth 1.9s ease-in forwards;
    }
  }
  @keyframes slideWidth {
    0% {
        width: 0;
    }
    100% {
      width:100%;
    }

}
  @keyframes fadein {
    0% {
        top: -100%;
        display: none;
    }
    100% {
      top:0;
      display: flex;
    }
    0% {
      top:0;
      display: flex;
    }
}
@keyframes fadeout {
  0% {
      opacity: 1;
      display: flex;
  }
  100% {
    opacity:0;
    display: none;
  }
  0% {
    opacity:0;
    display: none;
  }
}

  .uploading-done {
    padding: 10px;
    background-color: $light-gray;
    transition: all .3s linear;

    .uploaded-file-icon {
      //background-color: lighten(saturate(adjust-hue($secondary-purple, 1), 30.77), 12.16);
      min-width: 80px;
      width: 80px;
      height: 88px;
      display: flex;
      align-items: center;
      justify-content: center;
      opacity: 0;
      position: relative;
      top: -10px;
      animation-delay: .2s;
      transition: all .3s ease-in;
      .video-type{
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        &.video{
          cursor: pointer;
          &:after{
            content: "\f04b";
            font-family: "Font Awesome 5 Pro";
            font-weight: 900;
            position: absolute;
            font-size: 1.5rem;
            z-index: 1;
            color: $white;
          }
        }
        img{
          object-fit: cover;
          width: 100%;
          height: 100%;
        }
      }

    }

    p {
      opacity: 0;
      position: relative;
      top: -10px;
      animation-delay: .4s;
      transition: all .3s ease-in;
    }

    span {
      opacity: 0;
      position: relative;
      top: -10px;
      animation-delay: .5s;
      transition: all .3s ease-in;
    }

    .uploaded-file-actions {
      border: 0;
      box-shadow: none;
      background-color: $white;
      border-radius: 6px;
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 5px;
      margin: 0 3px;
      width: 24px;
      height: 24px;
      opacity: 0;
      position: relative;
      top: 10px;
      animation-delay: .6s;
      transition: all .3s ease-in;
    }
  }


  .uploading-failed {
    opacity: 0;
    visibility: hidden;
    background-color: $danger;

    p,
    img {
      opacity: 0;
      position: relative;
      top: -10px;
      animation-delay: .3s;
      transition: all .3s ease-in;
    }
  }

  .uploading-warning {
    opacity: 0;
    visibility: hidden;
    background-color: $warning;

    p,
    img {
      opacity: 0;
      position: relative;
      top: -10px;
      animation-delay: .3s;
      transition: all .3s ease-in;
    }
  }

  //
  //.upload-failed {
  //  .check-connection-msg {
  //    color: lighten(saturate($danger, 30.33), 36.08);
  //    display: flex;
  //    align-items: center;
  //    margin-top: 8px;
  //  }
  //}
}

.upload-title {
  flex-basis: 150px;
  font-size: 20px;
  color: $onyx;
  font-weight: 500;
}



@include media-breakpoint-down(md) {
  .upload-title {
    margin-bottom: 8px;
  }

  .upload-file-container,
  .uploaded-file-container {
    min-width: 100%;
    max-width: 100%;
  }
}

@include media-breakpoint-down(sm) {
  .upload-file-row {
    flex-direction: column;

    >.flex-grow-1 {
      width: 100%;
    }
  }

  .upload-title {
    width: 100%;
    flex-basis: auto;
  }

  .upload-file-container,
  .uploaded-file-container {
    min-width: 100%;
    max-width: 100%;
  }
}


.upload-more{
  height: 55px;
  min-width: 55px;
  width: 55px;
  border: 2px solid $coral;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}
